# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "mc-rpc"
version = "0.1.0"
authors = ["VilleOlof"]
build = "build.rs"
exclude = ["schema_fetch"]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Generated JSON RPC Bindings for Minecraf Server Management Protocol Client"
readme = "README.md"
keywords = [
    "minecraft",
    "rpc",
    "json",
    "client",
]
license = "MIT"
repository = "https://github.com/VilleOlof/mc-rpc"

[lib]
name = "mc_rpc"
path = "src/lib.rs"

[dependencies.pale]
version = "0.1.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.tokio-stream]
version = "0.1.17"
features = ["sync"]

[build-dependencies.serde_json]
version = "1.0"
